Requirements
============

Drupal 8.x (https://www.drupal.org/docs/8/install)
Commerce 2.x (https://docs.drupalcommerce.org/commerce2)

Installation
============

At the moment the module has only been tested against Opayo's 'Test' platform as a custom module.
Composed-based installation to follow once the module has been verified to work in a 'live' environment.

Download the source and install as a 'custom' or 'contrib' module.

Enable the module, e.g. drush pm:enable commerce_opayo_pi

If you haven't done so yet, log into Opayo to get your integration key and password.

Put in the 'generic' settings for Opayo using url '/admin/commerce/config/opayo_pi/settings'
Set the 'Opayo Vendor Name and your live/test integaration keys and passwords.
Set the values for the 'expired' depending on how you want to keep expired database records.

Go to Commerce Configuration pages and add a new Payment Gateway using plugin 'Opayo Pi'. Make sure 'Collect billing information' is checked and fill in the required fields.

Add a checkout flow that uses the 'Opayo checkout flow' Plugin (which supports the extra '3D Secure' step to the checkout process).

Change the 'Checkout flow' for any Commerce 'Order Types' that will use the Opayo checkout.

Modify the 'Customer' Profile Type (/admin/config/people/profile-types/manage/customer/fields) and add a field for a phone number
(3D Secure Authentication mandates a telephone number in international format).
Suggested field type is 'International phone'.

If you *do* use the 'International Phone' module, follow the instructions on
https://www.drupal.org/project/phone_international for including the 3rd party 'intl-tel-input' library.
If you don't see the little country flags appearing, check 'Enable CDN Libraries' on 'admin/config/phone_international'

If you *do not* use a field of type 'international phone' in the 'Customer' profile then you may need to modify the source.


